import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItems
import "../ComponentStore/PageWithBottomEdge"

TemplateWidgetPage {
    id: circleImageWidget

    title: "Page With Bottom Edge"
    author: "Renato Araujo Oliveira Filho"
    email: "renato.filho@canonical.com"
    license: "GNU General Public License v3.0"
    description: "This component provides a bottom edge which can be used to house \
common actions. "

    Component {
        id: pageComponent
        PageWithBottomEdge {
            id: mainPage
            title: i18n.tr("Page With Bottom Edge")

            anchors.fill: parent

            Label {
                anchors.centerIn: parent
                text: "Test"
                color: "Black"
            }

            bottomEdgePageComponent: Page {
                title: "Contents"
                anchors.fill: parent

                ListView {
                    anchors.fill: parent
                    model: 50
                    delegate: ListItems.Standard {
                        text: "One Content Item: " + index
                    }
                }
            }
            bottomEdgeTitle: i18n.tr("Bottom edge action")
        }
    }

    content: Button {
        text: "Preview PageWithBottomEdge Component"
        color: "Green"
        height: units.gu(6)
        onClicked: stack.push(pageComponent)
        anchors.centerIn: parent
    }
}
