import QtQuick 2.0
import Ubuntu.Components 1.1
import "../ComponentStore/CircleImage"

TemplateWidgetPage {
    id: circleImageWidget

    title: "Circle Image"
    author: "Michael Spencer"
    email: "mspencer@sonrisesoftware.com"
    license: "GNU General Public License v3.0"
    description: "This widget converts any image into a circular sized image \
which can be useful for showing user profile pictures. As trivial as this \
might look, it is not a straightforward solution in QML."

    content: Item {
        width: childrenRect.width
        height: childrenRect.height
        anchors.centerIn: parent

        Row {
            spacing: units.gu(5)
            Image {
                width: units.gu(10)
                height: width
                source: Qt.resolvedUrl("assets/flashback.png")
            }

            Image {
                width: units.gu(6)
                height: units.gu(5)
                source: Qt.resolvedUrl("assets/arrow.png")
                anchors.verticalCenter: parent.verticalCenter
            }

            CircleImage {
                width: units.gu(10)
                height: width
                source: Qt.resolvedUrl("assets/flashback.png")
            }
        }
    }
}
