import QtQuick 2.0
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem
import "../ComponentStore/FastScroll"

TemplateWidgetPage {
    id: circleImageWidget

    title: "Fast Scroll"
    author: "Renato Araujo Oliveira Filho"
    email: "renato.filho@canonical.com"
    license: "BSD License"
    description: "This widget adds a fast scroll to a listview to quickly \
navigate to a specific index."

    ListModel {
        id: testModel
        ListElement { title: "Alan Pope" }
        ListElement { title: "Aditya Urs" }
        ListElement { title: "Akiva Shammai Avraham" }
        ListElement { title: "Andrew Hayzen" }
        ListElement { title: "Carla Sella" }
        ListElement { title: "Daniel Holm" }
        ListElement { title: "Daniel Holbhach" }
        ListElement { title: "David Planella" }
        ListElement { title: "Lento Manickathan" }
        ListElement { title: "Leo Arias" }
        ListElement { title: "Michael Hall" }
        ListElement { title: "Michael Zanetti" }
        ListElement { title: "Mihir Soni" }
        ListElement { title: "Michael Spencer" }
        ListElement { title: "Nicholas Skaggs" }
        ListElement { title: "Nekhelesh Ramanthan" }
        ListElement { title: "Oliver Gravert" }
        ListElement { title: "Jenkins" }
        ListElement { title: "Kunal Parmar" }
        ListElement { title: "Riccardo Padovani" }
        ListElement { title: "Robert Schroll" }
        ListElement { title: "Victor Thompson" }
    }

    content: Item {
        anchors.fill: parent
        ListView {
            id: nameListView
            anchors.fill: parent
            anchors.rightMargin: fastScroll.showing ? fastScroll.width - units.gu(1)
                                                    : 0
            clip: true
            currentIndex: -1
            model: testModel

            function getSectionText(index) {
                return testModel.get(index).title.substring(0,1)
            }

            section.property: "title"
            section.criteria: ViewSection.FirstCharacter
            section.labelPositioning: ViewSection.InlineLabels

            section.delegate: ListItem.Header {
                text: section
            }

            delegate: ListItem.Standard {
                text: title
            }
        }

        FastScroll {
            id: fastScroll
            listView: nameListView
            anchors {
                top: nameListView.top
                bottom: nameListView.bottom
                right: parent.right
            }
        }
    }
}
