import QtQuick 2.0
import QtQuick.Layouts 1.1
import Ubuntu.Components 1.1
import Ubuntu.Components.ListItems 1.0 as ListItem

Item {
    id: templateWidgetPage

    width: parent ? parent.width : undefined
    height: parent ? parent.height : undefined

    property alias content: widget.children
    property alias title: _title.text
    property alias author: _author.text
    property alias email: _email.text
    property alias license: _license.text
    property alias description: _description.text

    ColumnLayout {
        id: mainContent

        spacing: units.gu(2)

        anchors {
            fill: parent
            margins: units.gu(1)
        }

        Label {
            id: _title
            font.bold: true
            fontSize: "x-large"
        }

        Column {
            id: authorColumn

            Layout.fillWidth: true

            Label {
                id: _author
                font.bold: true
                visible: text !== ""
            }

            Label {
                id: _email
                visible: text !== ""
            }

            Label {
                id: _license
                visible: text !== ""
            }
        }

        Label {
            id: _description
            Layout.fillWidth: true
            wrapMode: Text.WordWrap
            visible: text !== ""
        }

        ListItem.ThinDivider{}

        Item {
            id: widget
            Layout.fillWidth: true
            Layout.fillHeight: true
        }
    }
}
